Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::PriorityModelPolicy_out Class Reference

`#include <RTCORBAC.h>`

Collaboration diagram for RTCORBA::PriorityModelPolicy_out:

[legend]
List of all members.

## Public Methods
| PriorityModelPolicy_out (PriorityModelPolicy_ptr &)
| PriorityModelPolicy_out (PriorityModelPolicy_var &)
| PriorityModelPolicy_out (const PriorityModelPolicy_out &)
PriorityModelPolicy_out & | operator= (const PriorityModelPolicy_out &)
PriorityModelPolicy_out & | operator= (const PriorityModelPolicy_var &)
PriorityModelPolicy_out & | operator= (PriorityModelPolicy_ptr)
| operator PriorityModelPolicy_ptr & ()
PriorityModelPolicy_ptr & | ptr (void)
PriorityModelPolicy_ptr | operator-> (void)
## Private Attributes
PriorityModelPolicy_ptr & | ptr_

## Constructor & Destructor Documentation

RTCORBA::PriorityModelPolicy_out::PriorityModelPolicy_out | ( | PriorityModelPolicy_ptr & |  | ) |

RTCORBA::PriorityModelPolicy_out::PriorityModelPolicy_out | ( | PriorityModelPolicy_var & |  | ) |

RTCORBA::PriorityModelPolicy_out::PriorityModelPolicy_out | ( | const PriorityModelPolicy_out & |  | ) |

## Member Function Documentation

RTCORBA::PriorityModelPolicy_out::operator PriorityModelPolicy_ptr & | ( |  | ) |

PriorityModelPolicy_ptr RTCORBA::PriorityModelPolicy_out::operator-> | ( | void |  | ) |

PriorityModelPolicy_out& RTCORBA::PriorityModelPolicy_out::operator= | ( | PriorityModelPolicy_ptr |  | ) |

PriorityModelPolicy_out& RTCORBA::PriorityModelPolicy_out::operator= | ( | const PriorityModelPolicy_var & |  | ) |

PriorityModelPolicy_out& RTCORBA::PriorityModelPolicy_out::operator= | ( | const PriorityModelPolicy_out & |  | ) |

PriorityModelPolicy_ptr& RTCORBA::PriorityModelPolicy_out::ptr | ( | void |  | ) |

## Member Data Documentation

PriorityModelPolicy_ptr& RTCORBA::PriorityModelPolicy_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- RTCORBAC.h